X / Twitter API
X(前身為 Twitter)貼文、用戶個人檔案與搜尋。
- 推文 ID:使用數字推文 ID(例如
1234567890123456789) - 搜尋模式:透過
product參數選擇Top(最相關,預設)或Latest(最新) - 每次請求最多回傳 40 則推文
- 部分被停權或受保護的帳號可能無法存取
- 媒體 URL 可能會在一段時間後過期
用戶
GET /x/users/:username — 3 點數
取得 X 用戶個人檔案。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
username | string | 是 | — | X/Twitter 用戶名稱 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/x/users/elonmusk回應
{
"id": "44196397",
"username": "elonmusk",
"name": "Elon Musk",
"description": "",
"profileImageUrl": "https://...",
"bannerUrl": "https://...",
"followersCount": 236111979,
"followingCount": 1292,
"tweetCount": 98573,
"isVerified": false,
"isBlueVerified": true,
"createdAt": "2009-06-02T20:12:29.000Z",
"location": "",
"url": "https://x.com/elonmusk"
}貼文
GET /x/posts/:id — 3 點數
依 ID 取得推文。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
id | string | 是 | — | 推文 ID |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/x/posts/1234567890123456789回應
{
"id": "1519480761749016577",
"text": "Next I'm buying Coca-Cola to put the cocaine back in",
"createdAt": "2022-04-28T00:56:58.000Z",
"user": {
"id": "44196397",
"username": "elonmusk",
"name": "Elon Musk",
"profileImageUrl": "https://...",
"isVerified": true
},
"likeCount": 4254746,
"retweetCount": 588529,
"replyCount": 168969,
"quoteCount": 167449,
"bookmarkCount": 21530,
"viewCount": null,
"media": [],
"isRetweet": false,
"isReply": false,
"lang": "en",
"url": "https://x.com/elonmusk/status/1519480761749016577"
}GET /x/users/:username/posts — 4 點數
取得用戶的近期推文。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
username | string | 是 | — | X/Twitter 用戶名稱 |
count | integer | 否 | 20 | 推文數量(最多 40) |
cursor | string | 否 | — | 分頁游標 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/x/users/elonmusk/posts?count=10"回應
{
"tweets": [
{
"id": "1519480761749016577",
"text": "Next I'm buying Coca-Cola to put the cocain...",
"createdAt": "2022-04-28T00:56:58.000Z",
"user": {
"id": "44196397",
"username": "elonmusk",
"name": "Elon Musk",
"profileImageUrl": "https://...",
"isVerified": true
},
"likeCount": 4254746,
"retweetCount": 588529,
"replyCount": 168969,
"quoteCount": 167449,
"bookmarkCount": 21530,
"viewCount": null,
"media": [],
"isRetweet": false,
"isReply": false,
"lang": "en",
"url": "https://x.com/elonmusk/status/1519480761749016577"
}
],
"nextCursor": "DAABCgABGT3Y3Gl2__8KAAIYxbwT..."
}GET /x/posts/search?q=xxx — 每筆 3 點數(預設 15 筆)
依關鍵字搜尋推文。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
q | string | 是 | — | 搜尋關鍵字 |
count | integer | 否 | 15 | 推文數量(1-15) |
cursor | string | 否 | — | 分頁游標 |
product | string | 否 | Top | 搜尋分頁:Top 或 Latest |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/x/posts/search?q=bitcoin&count=10"回應
{
"tweets": [
{
"id": "2030325637416735026",
"text": "RT @Bitcoin: March 07, 2026 @ 01:41 AM (UTC)...",
"createdAt": "2026-03-07T16:52:08.000Z",
"user": {
"id": "445775649",
"username": "Maddcelabb",
"name": "Anne",
"profileImageUrl": "https://...",
"isVerified": false
},
"likeCount": 0,
"retweetCount": 356,
"replyCount": 0,
"quoteCount": 0,
"bookmarkCount": 0,
"viewCount": 0,
"media": [],
"isRetweet": true,
"isReply": false,
"lang": "en",
"url": "https://x.com/Maddcelabb/status/2030325637416735026"
}
],
"nextCursor": "b26v89c19zqg8o3juehgs5m3trmfszx..."
}